* {
  -webkit-tap-highlight-color: #fff0;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -khtml-user-select: none;
  margin: 0;
  padding: 0;
  font-family: Source Sans Pro, sans-serif;
}

html {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

body {
  width: 100%;
  height: 100%;
  font-size: 14pt;
  position: fixed;
}

#authContent {
  background-image: url("https://storage.googleapis.com/katapult-pro-shared-files/photos/photoheight/squairy_light.png");
  background-repeat: repeat;
}

a:link, a:visited, a:hover {
  color: #00a4e6;
}

a:active {
  color: #f79100;
}

input, textarea {
  text-indent: 5px;
  -webkit-touch-callout: text;
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
  -khtml-user-select: text;
  border: 1px solid #b7b7b7;
  border-radius: 0;
  font-size: 14pt;
}

#header {
  text-align: center;
  z-index: 3;
  background-color: #fff;
  border-bottom: 2px solid #ccc;
  width: 100%;
  height: 30px;
  display: table;
  position: absolute;
  top: 0;
}

#title {
  vertical-align: middle;
  display: table-cell;
}

#centerContent {
  text-align: center;
  -o-transition: height .3s, width .3s, margin-top .3s, margin-left .3s;
  background-color: #fff;
  width: 0;
  height: 0;
  -webkit-transition: height .3s, width .3s, margin-top .3s, margin-left .3s;
  -moz-transition: height .3s, width .3s, margin-top .3s, margin-left .3s;
  -ms-transition: height .3s, width .3s, margin-top .3s, margin-left .3s;
  position: absolute;
  top: 50%;
  left: 50%;
  overflow: hidden;
}

#centerContent.hover {
  border: 2px dashed #4ba600;
}

#chooseImageText {
  border-bottom: 1px solid #ccc;
  margin-top: 100px;
  padding: 25px;
}

#dragPhotoText {
  color: #0053a0;
  cursor: pointer;
  width: 600px;
  text-decoration: underline;
  position: absolute;
  top: 350px;
}

#uploadIframe {
  border: none;
  width: 0;
  height: 0;
}

#fileUpload {
  display: none;
}

#fileInput {
  cursor: pointer;
  float: right;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  filter: alpha(opacity= 0);
  -moz-opacity: 0;
  -khtml-opacity: 0;
  opacity: 0;
  height: 100%;
  font-size: 10em;
  position: absolute;
  top: 0;
  right: 0;
}

#loading {
  margin-top: -16px;
  margin-left: -16px;
  position: absolute;
  top: 50%;
  left: 50%;
}

#imageContainer {
  text-align: center;
  z-index: 2;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-perspective: 1000px;
  perspective: 1000px;
  cursor: crosshair;
  background: url("https://storage.googleapis.com/katapult-pro-shared-files/photos/photoheight/transparent.png");
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

#canvas {
  text-align: center;
  z-index: 1;
  position: absolute;
  top: 0;
  left: 0;
}

.rotateOne {
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(SizingMethod='auto expand', M11=1.57079633, M12=-1.57079633, M21=1.57079633, M22=1.57079633)";
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  -ms-transform: rotate(90deg);
  -o-transform: rotate(90deg);
  transform: rotate(90deg);
}

.rotateTwo {
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(SizingMethod='auto expand', M11=3.14159265, M12=-3.14159265, M21=3.14159265, M22=3.14159265)";
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  transform: rotate(180deg);
}

.rotateThree {
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(SizingMethod='auto expand', M11=4.71238898, M12=-4.71238898, M21=4.71238898, M22=4.71238898)";
  -webkit-transform: rotate(270deg);
  -moz-transform: rotate(270deg);
  -ms-transform: rotate(270deg);
  -o-transform: rotate(270deg);
  transform: rotate(270deg);
}

#mContainer {
  float: right;
  pointer-events: none;
  width: 500px;
  height: 100%;
  position: relative;
  background: none !important;
}

#messageContainer {
  z-index: 4;
  position: absolute;
  bottom: 0;
  right: 60px;
}

.message {
  pointer-events: auto;
  float: right;
  color: #a9a9a9;
  -o-transition: margin-bottom .3s, opacity .3s;
  background-color: #fff;
  border: 1px solid #b1b1b1;
  width: auto;
  height: 100px;
  margin-top: 10px;
  margin-bottom: -123px;
  margin-right: 10px;
  padding: 10px;
  -webkit-transition: margin-bottom .3s, opacity .3s;
  -moz-transition: margin-bottom .3s, opacity .3s;
  -ms-transition: margin-bottom .3s, opacity .3s;
  bottom: -77px;
  overflow: hidden;
}

.message * {
  pointer-events: inherit;
}

.messageTextContainer {
  float: right;
  border-right: 1px solid #ccc;
  width: 300px;
  height: 100%;
  margin-left: 5px;
  margin-right: 5px;
  padding-right: 5px;
}

.messageTextCenter {
  width: 100%;
  height: 100%;
  display: table;
}

.messageText {
  vertical-align: middle;
  font-size: 13pt;
  display: table-cell;
}

.messageIcon {
  float: right;
  width: auto;
  height: 100px;
}

.secondMessageIcon {
  float: right;
  border-right: 1px solid #ccc;
  width: auto;
  height: 100px;
}

#menuIcon {
  z-index: 4;
  -o-transition: right .3s;
  background-color: #fff;
  border: 1px solid #b1b1b1;
  width: 40px;
  height: auto;
  padding: 2px;
  -webkit-transition: right .3s;
  -moz-transition: right .3s;
  -ms-transition: right .3s;
  position: absolute;
  bottom: 10px;
  right: -45px;
}

#tempMenu {
  z-index: 4;
  -o-transition: right .3s;
  background-color: #fff;
  border: 1px solid #b1b1b1;
  width: 40px;
  height: auto;
  padding: 2px;
  -webkit-transition: right .3s;
  -moz-transition: right .3s;
  -ms-transition: right .3s;
  position: absolute;
  bottom: 244px;
  right: -45px;
}

#menuSelected {
  z-index: 2;
  opacity: .3;
  -o-transition: top .3s, height .3s;
  background-color: #333;
  width: 44px;
  height: 0;
  -webkit-transition: top .3s, height .3s;
  -moz-transition: top .3s, height .3s;
  -ms-transition: top .3s, height .3s;
  position: absolute;
  left: 0;
}

.menuItem {
  width: 30px;
  height: auto;
  padding: 5px;
  display: block;
}

#toast {
  pointer-events: none;
  text-align: center;
  vertical-align: middle;
  opacity: 0;
  color: #a9a9a9;
  z-index: 1000;
  -o-transition: opacity .5s;
  background-color: #fff;
  border: 1px solid #b1b1b1;
  padding: 10px;
  -webkit-transition: opacity .5s;
  -moz-transition: opacity .5s;
  -ms-transition: opacity .5s;
  display: table;
  position: absolute;
}

#toastText {
  vertical-align: middle;
  text-align: center;
  display: table-cell;
}

#popOverMessage {
  text-align: left;
  z-index: 3;
  color: #b1b1b1;
  opacity: 0;
  -o-transition: opacity .3s;
  background-color: #fff;
  border: 1px solid #b1b1b1;
  width: 375px;
  height: 250px;
  margin-top: -136px;
  margin-left: -198px;
  padding: 15px;
  -webkit-transition: opacity .3s;
  -moz-transition: opacity .3s;
  -ms-transition: opacity .3s;
  position: absolute;
  top: 50%;
  left: 50%;
}

#popOverAnchor {
  margin-left: 57px;
}

#popOverRuler {
  margin-left: 80px;
}

.popOverButton {
  cursor: pointer;
  text-align: center;
  float: left;
  background-color: #fff;
  border: 2px solid #b1b1b1;
  width: 75px;
  height: 75px;
  margin-top: 20px;
  padding: 5px;
}

.popOverButton img {
  width: auto;
  height: 100%;
}

#popOverSubText {
  float: left;
  width: 350px;
  margin-top: 20px;
  font-size: 10pt;
  font-style: italic;
}

#yesSaveButton {
  text-align: center;
  float: left;
  cursor: pointer;
  border: 1px solid #b1b1b1;
  width: 100px;
  height: 25px;
  margin-top: 40px;
  margin-left: 12px;
  padding: 5px;
}

#noSaveButton {
  text-align: center;
  float: left;
  cursor: pointer;
  border: 1px solid #b1b1b1;
  width: 200px;
  height: 25px;
  margin-top: 40px;
  margin-left: 30px;
  padding: 5px;
}

#continueButton {
  text-align: center;
  float: left;
  cursor: pointer;
  border: 1px solid #b1b1b1;
  width: 100px;
  height: 25px;
  margin-top: 40px;
  margin-left: 30px;
  padding: 5px;
}

.anchor {
  z-index: 3;
  -o-transition: width .3s;
  width: 89px;
  height: 19px;
  -webkit-transition: width .3s;
  -moz-transition: width .3s;
  -ms-transition: width .3s;
  position: absolute;
}

.anchorInput {
  text-indent: 0;
  -o-transition: width .3s;
  border: 1px solid #0053a0;
  border-right-width: 0;
  width: 70px;
  height: 17px;
  padding-left: 8px;
  font-size: 10pt;
  -webkit-transition: width .3s;
  -moz-transition: width .3s;
  -ms-transition: width .3s;
  position: absolute;
  top: 0;
  left: 9px;
}

.green .anchorInput {
  border-color: #74ff00;
}

.yellow .anchorInput {
  border-color: #ff0;
}

.red .anchorInput {
  border-color: #ff004d;
}

.anchorInput:focus {
  outline: none;
}

.anchorIndicator {
  z-index: 2;
  border-top: 19px solid #0053a0;
  border-left: 9px solid #0000;
  border-right: 9px solid #0000;
  width: 0;
  height: 0;
  font-size: 0;
  line-height: 0;
  position: absolute;
  top: 0;
  left: 0;
}

.green .anchorIndicator {
  border-top: 19px solid #74ff00;
}

.yellow .anchorIndicator {
  border-top: 19px solid #ff0;
}

.red .anchorIndicator {
  border-top: 19px solid #ff004d;
}

.anchorX {
  cursor: pointer;
  background-color: #fff;
  background-image: url("https://storage.googleapis.com/katapult-pro-shared-files/photos/photoheight/X-sign.svg");
  border: 1px solid #0053a0;
  border-left-width: 0;
  width: 17px;
  height: 17px;
  position: absolute;
  top: 0;
  left: calc(100% - 1px);
}

.green .anchorX {
  border-color: #74ff00;
}

.yellow .anchorX {
  border-color: #ff0;
}

.red .anchorX {
  border-color: #ff004d;
}

.anchorHeight {
  color: #0053a0;
  font-size: 10pt;
  position: absolute;
  top: 1px;
  left: calc(100% + 20px);
}

.green .anchorHeight {
  color: #74ff00;
}

.yellow .anchorHeight {
  color: #ff0;
}

.red .anchorHeight {
  color: #ff004d;
}

.measurement.bottom {
  z-index: 2;
  -o-transition: width .3s linear .1s;
  border-top: 2px solid #fff;
  width: 141px;
  height: 20px;
  -webkit-transition: width .3s linear .1s;
  -moz-transition: width .3s linear .1s;
  -ms-transition: width .3s linear .1s;
  position: absolute;
}

.measurement.top {
  pointer-events: none;
  z-index: 2;
  -o-transition: width .3s linear .1s;
  border-bottom: 2px solid #fff;
  width: 141px;
  height: 20px;
  margin-top: -20px;
  -webkit-transition: width .3s linear .1s;
  -moz-transition: width .3s linear .1s;
  -ms-transition: width .3s linear .1s;
  position: absolute;
}

.measurement.top .mTriangle {
  pointer-events: auto;
  float: left;
  border-style: solid;
  border-width: 0 10px 20px 15px;
  width: 0;
  height: 0;
  margin-left: 42px;
}

.measurement.bottom .mTriangle {
  pointer-events: auto;
  float: left;
  border-style: solid;
  border-width: 20px 10px 0 15px;
  width: 0;
  height: 0;
  margin-left: 42px;
}

.measurement.top .mLine {
  width: 100%;
  height: 0;
  position: absolute;
  bottom: 0;
}

.measurement.bottom .mLine {
  width: 100%;
  height: 0;
  position: absolute;
  top: 0;
}

.green .distLineTop {
  border: 1px solid #74ff00;
}

.green .distanceText {
  background-color: #74ff00;
}

.green .distLineBottom {
  border: 1px solid #74ff00;
}

.yellow .distLineTop {
  border: 1px solid #ff0;
}

.yellow .distanceText {
  background-color: #ff0;
}

.yellow .distLineBottom {
  border: 1px solid #ff0;
}

.red .distLineTop {
  border: 1px solid #ff004d;
}

.red .distanceText {
  background-color: #ff004d;
}

.red .distLineBottom {
  border: 1px solid #ff004d;
}

.gray .distLineTop {
  border: 1px solid #999;
}

.gray .distanceText {
  background-color: #999;
}

.gray .distLineBottom {
  border: 1px solid #999;
}

.distance {
  z-index: 2;
  margin-left: 70px;
  position: absolute;
}

.distLineTop {
  width: 0;
  height: calc(50% - 15px);
  position: absolute;
  top: 0;
}

.distanceTextContainer {
  text-align: center;
  width: 100px;
  margin-top: -12px;
  margin-left: -50px;
  font-size: 16pt;
  position: absolute;
  top: 50%;
}

.distanceText {
  padding: 0 5px;
  display: inline-block;
}

.distLineBottom {
  width: 0;
  height: calc(50% - 15px);
  position: absolute;
  bottom: 0;
}

.measurementScore {
  display: none;
}

.measurementLabel {
  pointer-events: auto;
  cursor: text;
  text-align: left;
  text-indent: 0;
  float: left;
  -o-transition: width .3s linear .1s, padding .3s linear .1s;
  background-color: #fff;
  border: 1px solid #0053a0;
  width: 150px;
  min-height: 17px;
  margin-top: 0;
  padding-top: 1px;
  padding-left: 8px;
  font-size: 10pt;
  -webkit-transition: width .3s linear .1s, padding .3s linear .1s;
  -moz-transition: width .3s linear .1s, padding .3s linear .1s;
  -ms-transition: width .3s linear .1s, padding .3s linear .1s;
  overflow: hidden;
}

.measurementLabel:focus {
  outline: none;
}

.labelPlaceholder:empty:before {
  content: "Enter Label";
  color: gray;
}

.measurementX {
  pointer-events: auto;
  float: left;
  cursor: pointer;
  background-image: url("https://storage.googleapis.com/katapult-pro-shared-files/photos/photoheight/white_X-sign.svg");
  width: 20px;
  height: 20px;
}

.measurementText {
  pointer-events: auto;
  float: left;
  color: #000;
  cursor: default;
  min-width: 62px;
  height: 20px;
  margin-top: 0;
  margin-left: -10px;
  line-height: 20px;
}

.green.measurement.bottom .mTriangle {
  border-color: #74ff00 #0000 #0000;
}

.green.measurement.top .mTriangle {
  border-color: #0000 #0000 #74ff00;
}

.green .measurementText {
  background-color: #74ff00;
}

.green.measurement.bottom .mLine {
  border-top: 2px solid #4ba600;
  border-bottom: 2px solid #74ff00;
}

.green.measurement.top .mLine {
  border-top: 2px solid #74ff00;
  border-bottom: 2px solid #4ba600;
}

.green .measurementLabel {
  border-color: #74ff00;
}

.green .measurementX {
  background-color: #74ff00;
}

.yellow.measurement.bottom .mTriangle {
  border-color: #ff0 #0000 #0000;
}

.yellow.measurement.top .mTriangle {
  border-color: #0000 #0000 #ff0;
}

.yellow .measurementText {
  background-color: #ff0;
}

.yellow .mLine {
  border-top: 2px solid #ff0;
}

.yellow .measurementLabel {
  border-color: #ff0;
}

.yellow .measurementX {
  background-color: #ff0;
  background-image: url("https://storage.googleapis.com/katapult-pro-shared-files/photos/photoheight/X-sign.svg");
}

.gray.measurement.bottom .mTriangle {
  border-color: #999 #0000 #0000;
}

.gray.measurement.top .mTriangle {
  border-color: #0000 #0000 #999;
}

.gray .measurementText {
  background-color: #999;
}

.gray .mLine {
  border-top: 2px solid #999;
}

.gray .measurementLabel {
  border-color: #999;
}

.gray .measurementX {
  background-color: #999;
}

.red.measurement.bottom .mTriangle {
  border-color: #ff004d #0000 #0000;
}

.red.measurement.top .mTriangle {
  border-color: #0000 #0000 #ff004d;
}

.red .measurementText {
  background-color: #ff004d;
}

.red .mLine {
  border-top: 2px solid #ff004d;
}

.red .measurementLabel {
  border-color: #ff004d;
}

.red .measurementX {
  background-color: #ff004d;
}

.red.measurement.bottom .mConeLarge {
  border: 15px solid #0000;
  border-left: 80px solid #ff004d66;
  border-right-width: 0;
  width: 0;
  height: 0;
  position: absolute;
  top: -15px;
  left: -10px;
}

.red.measurement.bottom .mCone {
  border: 7px solid #0000;
  border-left: 60px solid #ff004d99;
  border-right-width: 0;
  width: 0;
  height: 0;
  position: absolute;
  top: -7px;
  left: -5px;
}

.red.measurement.top .mConeLarge {
  border: 15px solid #0000;
  border-left: 80px solid #ff004d66;
  border-right-width: 0;
  width: 0;
  height: 0;
  position: absolute;
  top: 5px;
  left: -10px;
}

.red.measurement.top .mCone {
  border: 7px solid #0000;
  border-left: 60px solid #ff004d99;
  border-right-width: 0;
  width: 0;
  height: 0;
  position: absolute;
  top: 14px;
  left: -5px;
}

.saveWindowContainer {
  z-index: 3;
  position: absolute;
  overflow: hidden;
}

.saveWindow {
  opacity: .5;
  -o-transition: opacity .5s;
  -webkit-transition: opacity .5s;
  -moz-transition: opacity .5s;
  -ms-transition: opacity .5s;
  position: absolute;
}

.saveMiddleLine {
  border: 1px solid #999;
  width: 0;
  height: 100%;
  margin-left: auto;
  margin-right: auto;
}

.topLeftHandle {
  cursor: pointer;
  background-color: #fff;
  width: 10px;
  height: 10px;
  position: absolute;
  top: -5px;
  left: -5px;
}

.topRightHandle {
  cursor: pointer;
  background-color: #fff;
  width: 10px;
  height: 10px;
  position: absolute;
  top: -5px;
  right: -5px;
}

.bottomLeftHandle {
  cursor: pointer;
  background-color: #fff;
  width: 10px;
  height: 10px;
  position: absolute;
  bottom: -5px;
  left: -5px;
}

.bottomRightHandle {
  cursor: pointer;
  background-color: #fff;
  width: 10px;
  height: 10px;
  position: absolute;
  bottom: -5px;
  right: -5px;
}

#annotationCanvas {
  opacity: 0;
  z-index: 3;
  -o-transition: opacity .3s ease-in, left .3s;
  -webkit-transition: opacity .3s ease-in, left .3s;
  -moz-transition: opacity .3s ease-in, left .3s;
  -ms-transition: opacity .3s ease-in, left .3s;
  position: absolute;
}

#annotationTextBox, #bottomAnnotationTextBox, #leftAnnotationTextBox, #rightAnnotationTextBox, #middleAnnotationTextBox {
  resize: none;
  opacity: 0;
  z-index: 4;
  -o-transition: opacity .3s ease-in, left .3s;
  text-indent: 0;
  background-color: #f3f3f3;
  font-size: 11pt;
  -webkit-transition: opacity .3s ease-in, left .3s;
  -moz-transition: opacity .3s ease-in, left .3s;
  -ms-transition: opacity .3s ease-in, left .3s;
  position: absolute;
  overflow: hidden;
}

#annotationTextBox *, #bottomAnnotationTextBox *, #leftAnnotationTextBox *, #rightAnnotationTextBox *, #middleAnnotationTextBox * {
  font-size: inherit !important;
}

#annotationTextBox:empty:before {
  content: "Enter Photo label or notes here";
  color: gray;
}

#bottomAnnotationTextBox:empty:before {
  content: "Enter other Photo data here";
  color: gray;
}

#leftAnnotationTextBox:empty:before {
  content: "Enter Midspan Left data or other data here";
  color: gray;
}

#rightAnnotationTextBox:empty:before {
  content: "Enter Midspan Right data or other data here";
  color: gray;
}

#middleAnnotationTextBox:empty:before {
  content: "Enter other Photo data here";
  color: gray;
}

#annotationTextBox:focus, #bottomAnnotationTextBox:focus, #leftAnnotationTextBox:focus, #rightAnnotationTextBox:focus, #middleAnnotationTextBox:focus {
  outline: 1px solid #0053a0;
}

#gpsTextBox {
  resize: none;
  text-align: center;
  opacity: 0;
  z-index: 4;
  -o-transition: opacity .3s ease-in, left .3s;
  text-indent: 0;
  background-color: #f3f3f3;
  font-size: 11pt;
  -webkit-transition: opacity .3s ease-in, left .3s;
  -moz-transition: opacity .3s ease-in, left .3s;
  -ms-transition: opacity .3s ease-in, left .3s;
  position: absolute;
  overflow: hidden;
}

#mapLink {
  text-align: center;
  z-index: 4;
  color: #0053a0;
  cursor: pointer;
  background-color: #fff;
  border: 1px solid #f3f3f3;
  text-decoration: none;
  position: absolute;
}

#gpsTextBox:empty:before {
  content: "Enter GPS here";
  color: gray;
}

#gpsTextBox:focus {
  outline: 1px solid #0053a0;
}

#unitChooser {
  text-align: left;
  z-index: 3;
  color: #b1b1b1;
  opacity: 0;
  -o-transition: opacity .3s;
  background-color: #fff;
  border: 1px solid #b1b1b1;
  width: 325px;
  height: 200px;
  margin-top: -101px;
  margin-left: -179px;
  padding: 15px;
  -webkit-transition: opacity .3s;
  -moz-transition: opacity .3s;
  -ms-transition: opacity .3s;
  position: absolute;
  top: 50%;
  left: 50%;
}

#unitChooserX {
  cursor: pointer;
  width: 22px;
  height: 22px;
  position: absolute;
  top: 15px;
  right: 15px;
}

#unitChooser input {
  margin: 7px;
}

#unitChooserTitle {
  text-align: center;
  border-bottom: 1px solid #b1b1b1;
  margin-bottom: 20px;
  padding-bottom: 10px;
}

#unitLabelArea {
  float: left;
  width: 200px;
  margin-left: 20px;
}

#unitExampleArea div {
  margin: 3.5px;
}

#changeStick, .stickDefinition, #stickSettings {
  color: #0053a0;
  cursor: pointer;
  text-decoration: none;
}

#freeTrialText {
  margin-bottom: 15px;
}

#freeTrialInput {
  outline: none;
  width: 250px;
}

.smallButton {
  color: #fff;
  text-align: center;
  cursor: pointer;
  float: right;
  background-color: #0053a0;
  border-radius: 4px;
  margin-right: 4px;
  padding: 6px 10px;
  font-size: 14px;
  line-height: 14px;
}
